id: http://w3id.org/gaia-x/gx-trust-framework/physical-resource
name: physicaL-resource
version: "2210"
prefixes:
  linkml: https://w3id.org/linkml/
  gx: http://w3id.org/gaia-x/gx-trust-framework/
default_prefix: gx
imports:
  - linkml:types
  - ./resource
  - ./legal-person
default_range: string

classes:
  PhysicalResource:
    is_a: Resource
    class_uri: gx:PhysicalResource
    description: 'A Physical resource is, but not limited to, a datacenter, a bare-metal service, a warehouse, a plant.'
    attributes:
      maintainedBy:
        required: true
        title: 'maintained by'
        description: 'Participant maintaining the resource in operational condition and thus have physical access to it.'
        range: LegalPerson
      ownedBy:
        required: false
        title: 'owned by'
        description: 'Participant owning the resource.'
        range: LegalPerson
      manufacturedBy:
        required: false
        title: 'manufactured by'
        description: 'Participant manufacturing the resource.'
        range: LegalPerson
      locationGPS:
        required: false
        title: 'location GPS'
        description: 'A list of physical GPS in ISO 6709:2008/Cor 1:2009 format.'
        range: string
      locationAddress:
        required: true
        title: 'location Address'
        description: 'A vcard:Address object that contains the physical location in ISO 3166-1 alpha2, alpha-3 or numeric format.'
        range: Address
